Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 10:31
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
hpliplite: dynamic packages
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 2 of 5 Posts_count   Goto page: Previous 1, 2, 3, 4, 5 Next
Author Message
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Mon 12 Sep 2011, 05:22    Post_subject:  

bruce,
it is very strange. Could you please try installing only libnetsnmp and hpliplite in a pristine Lucid Puppy -using the pfix=ram booting option- ? I wonder if your system got borked somehow...
Thank you.
Back to top
View user's profile Send_private_message 
Bruce_n_Duane

Joined: 01 Nov 2005
Posts: 68
Location: Washington State

PostPosted: Mon 12 Sep 2011, 06:06    Post_subject: Lucid 525 & 528 Success for CUPS and Xsane on HP Printer  

lluamco,

I tested both Lucid 525 and Lucid 528 loading only the
1. Install libnetsnmp-15.pet
2. Install hpliplite-3.11.7.pet

You are correct. I only needed these two pet to get Xsane to recognize my PhotoSmart C5280 printer/scanner.

This was my error in installing too much.

Thank you for correcting this and for this Forum Topic.
-Bruce.
Back to top
View user's profile Send_private_message 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Fri 07 Oct 2011, 09:15    Post_subject: hpliplite updated to version 3.11.10  

hpliplite updated to version 3.11.10
See first post.
Back to top
View user's profile Send_private_message 
zulhilmi

Joined: 23 Oct 2011
Posts: 34

PostPosted: Sun 06 Nov 2011, 09:04    Post_subject: Re: hpliplite updated to version 3.11.10  

lluamco wrote:
hpliplite updated to version 3.11.10
See first post.


can u compile the full version of HP drivers for AIO??
Back to top
View user's profile Send_private_message 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Wed 09 Nov 2011, 04:45    Post_subject: Re: hpliplite updated to version 3.11.10  

zulhilmi wrote:
can u compile the full version of HP drivers for AIO??
I did it in the past, for puppy's up to version 4.3.1. Full hplip requires many dependencies and it is hard -at least for me- assembling all of them for recent versions and flavours of puppy. I am not in the mood now... Sorry!
Back to top
View user's profile Send_private_message 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Mon 19 Dec 2011, 11:30    Post_subject: hpliplite updated to version 3.11.12  

hpliplite updated to version 3.11.12
See first post.
Back to top
View user's profile Send_private_message 
darkcity


Joined: 23 May 2010
Posts: 2454
Location: near here

PostPosted: Tue 03 Jan 2012, 12:24    Post_subject:  

Thanks for compiling Very Happy

hpliplite 3.11.12 didn't work for me with Puppy 5.28 and Photosmart C4480

however

hpliplite 3.11.10 did, has hp dropped support for some devices?

added this thread to the wiki
http://puppylinux.org/wikka/Scanning

_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send_private_message Visit_website 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Mon 09 Jan 2012, 10:12    Post_subject:  

darkcity wrote:
hpliplite 3.11.12 didn't work for me with Puppy 5.28 and Photosmart C4480
however hpliplite 3.11.10 did, has hp dropped support for some devices?

added this thread to the wiki
http://puppylinux.org/wikka/Scanning

It seems a problem of updated libraries. Could you please try executing this command
Code:
ln -s /usr/lib/libcrypto.so.0.9.8 /usr/lib/libcrypto.so.1.0.0
and check your printer using hpliplite.3.11.12 again?
I'd appreciate your feedback.

Ps: Thanks for your entry to the wiki.
Back to top
View user's profile Send_private_message 
morgonzola


Joined: 21 Apr 2010
Posts: 160
Location: Los Angeles, CA

PostPosted: Wed 18 Jan 2012, 20:33    Post_subject:  

hi there so im a little lost.

so i downloaded the latest of everything, it recognized my printer (finally Very Happy ) and then i tried to print a test page and got the error
Code:
stopped
"/usr/lib/cups/filter/hpcups failed"


I'm using guydog (but this happened as well when i was using lupu)
is there a way to remedy this? all the google links are opensuse jargon i dont understand
Back to top
View user's profile Send_private_message 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Thu 19 Jan 2012, 05:36    Post_subject:  

morgonzola wrote:
hi there so im a little lost.

so i downloaded the latest of everything, it recognized my printer (finally Very Happy ) and then i tried to print a test page and got the error
Code:
stopped
"/usr/lib/cups/filter/hpcups failed"


I'm using guydog (but this happened as well when i was using lupu)
is there a way to remedy this? all the google links are opensuse jargon i dont understand


I do not know about guydog, but I have checked my Photosmart c4280 to work in lupu 5.25, installing hpliplite-3.11.10.
BTW, if you prefer to use the latest hpliplite-3.11.12, then you should execute this command:
Code:
ln -s /usr/lib/libcrypto.so.0.9.8 /usr/lib/libcrypto.so.1.0.0

I hope that helps.
Back to top
View user's profile Send_private_message 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Thu 09 Feb 2012, 05:02    Post_subject: hpliplite updated to version 3.12.2  

hpliplite updated to version 3.12.2
See first post.
Back to top
View user's profile Send_private_message 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Sat 17 Mar 2012, 13:12    Post_subject:  

lluamco, I am considering installing hpliplite in a new Testing version of Lucid Plus (the one with all the drivers). Is there anything I should know other than to install it according to your instructions? Is it just install and it works? Thanks.
Back to top
View user's profile Send_private_message 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Sat 17 Mar 2012, 15:14    Post_subject:  

Playdayz,
Yes, the installation according the instructions is all you should do. Then, installing the printer in cups, of course. It could be convenient to compile hpliplite in your lucid basis to avoid the need of symbolic links of mismatching libraries (respect wary).
Back to top
View user's profile Send_private_message 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Thu 22 Mar 2012, 09:39    Post_subject:  

Hpliplite is included in Lucid Plus http://www.murga-linux.com/puppy/viewtopic.php?p=613973#613973
Back to top
View user's profile Send_private_message 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Fri 13 Apr 2012, 06:08    Post_subject: hpliplite updated to version 3.12.4  

hpliplite updated to version 3.12.4
See first post.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 2 of 5 Posts_count   Goto page: Previous 1, 2, 3, 4, 5 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0714s ][ Queries: 13 (0.0051s) ][ GZIP on ]